<CFIF #ParameterExists(jobID)# IS "No">
	<CFSET #NewRecord# = "Yes">
<CFELSE>
	<CFSET #NewRecord# = "No">
</CFIF>

<CFQUERY DATASOURCE="4cs_jobdb" NAME="GetJobCategories">
	SELECT CategoryID, LocationName
	FROM joblocs
	WHERE CategoryID = CategoryID
	ORDER BY LocationName
</CFQUERY>

<CFIF #NewRecord# IS "No">
	<CFQUERY DATASOURCE="4cs_jobdb" NAME="jobinfoupdate">
	SELECT jobID, CompanyName, JobLocation, JobTitle, Compensation, JobDescription, EducationRequirements, RequiredSkills, AdditionalComments, RequireTravel, Relocate, DateEntered, DateUpdated, CompanyID
	FROM jobdb
	WHERE jobID = #jobID#
	AND CompanyID = #SignIn.CompanyID#
	</CFQUERY>

	<CFQUERY DATASOURCE="4cs_jobdb" NAME="GetJobLocation">
		SELECT CategoryID, LocationName
		FROM joblocs
		WHERE CategoryID = #jobinfoupdate.JobLocation#
	</CFQUERY>
</CFIF>

<HTML>
<HEAD>

<CFIF #NewRecord# IS "Yes">
 <TITLE>Add a Job Opening</TITLE>
<CFELSE>
 <CFOUTPUT QUERY="jobinfoupdate">
  <TITLE>Update a Job Opening - #JobTitle# in #GetJobLocation.LocationName#</TITLE>
 </CFOUTPUT>
</CFIF>

</HEAD>

<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#000080" ALINK="#FFFFFF">
<BR><BR>

<CENTER>
<TABLE WIDTH="600" BORDER="0" CELLSPACING="0" CELLPADDING="0">
<TR><TD>


<CFIF #NewRecord# IS "Yes">
<FONT SIZE="4" FACE="Arial,Helvetica,Geneva"> Add a Job Opening</FONT>

	<CFIF #SignIn.CompanyName# IS NOT "">
	<FONT SIZE="4" FACE="Arial,Helvetica,Geneva">for</FONT>
	</CFIF>

<BR>
<FONT FACE="Arial,Helvetica,Geneva" SIZE="4" COLOR="#800000">
<CFOUTPUT><B>#SignIn.CompanyName#</B></CFOUTPUT>
</FONT>
<CFELSE>
 <CFOUTPUT QUERY="jobinfoupdate">
<FONT SIZE="4" FACE="Arial,Helvetica,Geneva">
 Update a Job Opening <BR>- <B>#JobTitle# - #GetJobLocation.LocationName#</B>
</FONT>
 </CFOUTPUT>
</CFIF>

<CFOUTPUT>
<FORM ENCTYPE="multipart/form-data" ACTION="jobaddup.cfm?UserID=#SignIn.UserID#&Password=#SignIn.Password#" METHOD="POST">
</CFOUTPUT>


<INPUT TYPE="hidden" NAME="JobTitle_required" Value="You must enter a value in Job Title">

<CFIF #NewRecord# IS "Yes">
<CFOUTPUT>
	<INPUT TYPE="hidden" NAME="DateEntered" VALUE="#Dateformat(now(), 'mm/dd/yy')#">
	<INPUT TYPE="hidden" NAME="CompanyID" VALUE="#SignIn.CompanyID#">
</CFOUTPUT>
</CFIF>

<CFIF #NewRecord# IS "No">
	<CFOUTPUT QUERY="jobinfoupdate">
	<INPUT TYPE="hidden" NAME="jobID" VALUE="#jobID#">
	<INPUT TYPE="hidden" NAME="DateUpdated" VALUE="#Dateformat(now(), 'mm/dd/yy')#">
	</CFOUTPUT>
</CFIF>

<P>
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0>
<TR>
	<TD ALIGN="Right"><FONT SIZE="2" FACE="Arial,Helvetica,Geneva"><B>Job Title: </B></FONT></TD>
	<TD><INPUT TYPE="text" NAME="JobTitle" SIZE="30" 
 <CFIF #NewRecord# IS "No">
  <CFOUTPUT QUERY="jobinfoupdate">VALUE="#Trim(JobTitle)#"</CFOUTPUT>
 </CFIF>
></TD>
</TR>
<TR>
	<TD ALIGN="Right"><FONT SIZE="2" FACE="Arial,Helvetica,Geneva"><B>Job Location: </B></FONT></TD>
	<TD>
	<SELECT name="JobLocation">
	<CFIF #NewRecord# IS "No">
	<CFOUTPUT QUERY="GetJobLocation">
	<option VALUE="#CategoryID#">#LocationName#</option>
	</CFOUTPUT>
	</CFIF>

	<option VALUE=""></option>
	<CFOUTPUT QUERY="GetJobCategories">
	<option VALUE="#CategoryID#">#LocationName#</option>
	</CFOUTPUT>
	</SELECT>
	</TD>
</TR>
<TR>
	<TD ALIGN="Right"><FONT SIZE="2" FACE="Arial,Helvetica,Geneva"><B>Compensation: </B></FONT></TD>
	<TD><INPUT TYPE="text" NAME="Compensation" SIZE="30" 
 <CFIF #NewRecord# IS "No">
  <CFOUTPUT QUERY="jobinfoupdate">VALUE="#Trim(Compensation)#"</CFOUTPUT>
 </CFIF>
></TD>
</TR>
<TR>
	<TD ALIGN="Right"><FONT SIZE="2" FACE="Arial,Helvetica,Geneva"><B>Job Description: </B></FONT><BR>
<FONT SIZE="1" FACE="Arial,Helvetica,Geneva">Skip a line between paragraphs</FONT></TD>
	<TD><TEXTAREA NAME="JobDescription" ROWS=7 COLS=45 WRAP="VIRTUAL"><CFIF #NewRecord# IS "No"><CFOUTPUT QUERY="jobinfoupdate">#Trim(JobDescription)#</CFOUTPUT></CFIF></TEXTAREA></TD>
</TR>
<TR>
	<TD ALIGN="Right"><FONT SIZE="2" FACE="Arial,Helvetica,Geneva"><B>Requirements: </B></FONT><BR>
<FONT SIZE="1" FACE="Arial,Helvetica,Geneva">Skip a line between paragraphs</FONT></TD>
	<TD><TEXTAREA NAME="EducationRequirements" ROWS=4 COLS=45 WRAP="VIRTUAL"><CFIF #NewRecord# IS "No"><CFOUTPUT QUERY="jobinfoupdate">#Trim(EducationRequirements)#</CFOUTPUT></CFIF></TEXTAREA></TD>
</TR>
<TR>
	<TD ALIGN="Right"><FONT SIZE="2" FACE="Arial,Helvetica,Geneva"><B>Additional Comments: </B></FONT><BR>
<FONT SIZE="1" FACE="Arial,Helvetica,Geneva">Skip a line between paragraphs</FONT></TD>
	<TD><TEXTAREA NAME="AdditionalComments" ROWS=4 COLS=45 WRAP="VIRTUAL"><CFIF #NewRecord# IS "No"><CFOUTPUT QUERY="jobinfoupdate">#Trim(AdditionalComments)#</CFOUTPUT></CFIF></TEXTAREA></TD>
</TR>
</TABLE>


<P>
<CENTER>
<CFIF #NewRecord# IS "Yes">
 <INPUT TYPE="submit" VALUE="Add Job Opening">
<CFELSE>
 <INPUT TYPE="submit" VALUE="Update Job Opening">
</CFIF>
</CENTER>
</FORM>

</TD></TR>
</TABLE>
</CENTER>

</BODY>
</HTML>
